apt: debDebPkgFileIndex Class Reference

apt 2.3.15 commandline package manager

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
debDebPkgFileIndex Class Reference
Inheritance diagram for debDebPkgFileIndex:

## Public Member Functions
virtual const Type * | GetType () const APT_OVERRIDE APT_PURE
virtual bool | HasPackages () const APT_OVERRIDE
virtual pkgCache::PkgFileIterator | FindInCache (pkgCache &Cache) const APT_OVERRIDE
| debDebPkgFileIndex (std::string const &DebFile)
std::string | ArchiveInfo (pkgCache::VerIterator const &Ver) const override
Public Member Functions inherited from pkgDebianIndexRealFile
virtual std::string | Describe (bool const =false) const APT_OVERRIDE
virtual bool | Exists () const APT_OVERRIDE
virtual unsigned long | Size () const APT_OVERRIDE
virtual std::string | ArchiveURI (std::string const &) const APT_OVERRIDE
| pkgDebianIndexRealFile (std::string const &File, bool const Trusted)
Public Member Functions inherited from pkgDebianIndexFile
virtual bool | Merge (pkgCacheGenerator &Gen, OpProgress *const Prog) APT_OVERRIDE
virtual pkgCache::PkgFileIterator | FindInCache (pkgCache &Cache) const APT_OVERRIDE
| pkgDebianIndexFile (bool const Trusted)
Public Member Functions inherited from pkgIndexFile
virtual const Type * | GetType () const =0
virtual std::string | ArchiveInfo (pkgCache::VerIterator const &Ver) const
virtual std::string | SourceInfo (pkgSrcRecords::Parser const &Record, pkgSrcRecords::File const &File) const
virtual std::string | Describe (bool const Short=false) const =0
virtual std::string | ArchiveURI (std::string const &) const
virtual pkgSrcRecords::Parser * | CreateSrcParser () const
virtual bool | Exists () const =0
virtual bool | HasPackages () const =0
virtual unsigned long | Size () const =0
virtual bool | Merge (pkgCacheGenerator &, OpProgress *const)
virtual pkgCache::PkgFileIterator | FindInCache (pkgCache &Cache) const
bool | IsTrusted () const
| pkgIndexFile (bool const Trusted)

## Static Public Member Functions
static bool | GetContent (std::ostream &content, std::string const &debfile)

## Protected Member Functions
virtual std::string | GetComponent () const APT_OVERRIDE
virtual std::string | GetArchitecture () const APT_OVERRIDE
virtual uint8_t | GetIndexFlags () const APT_OVERRIDE
virtual bool | OpenListFile (FileFd &Pkg, std::string const &FileName) APT_OVERRIDE
virtual APT_HIDDEN pkgCacheListParser * | CreateListParser (FileFd &Pkg) APT_OVERRIDE
Protected Member Functions inherited from pkgDebianIndexRealFile
virtual std::string | IndexFileName () const APT_OVERRIDE
virtual std::string | GetProgressDescription () const APT_OVERRIDE
virtual bool | OpenListFile (FileFd &Pkg, std::string const &FileName) APT_OVERRIDE
virtual std::string | IndexFileName () const =0
virtual std::string | GetComponent () const =0
virtual std::string | GetArchitecture () const =0
virtual std::string | GetProgressDescription () const =0
virtual uint8_t | GetIndexFlags () const =0
virtual bool | OpenListFile (FileFd &Pkg, std::string const &FileName)=0
virtual APT_HIDDEN pkgCacheListParser * | CreateListParser (FileFd &Pkg)

## Additional Inherited Members
Protected Attributes inherited from pkgDebianIndexRealFile
std::string | File
Protected Attributes inherited from pkgIndexFile
bool | Trusted

## Member Function Documentation

## ◆ ArchiveInfo()

std::string ArchiveInfo | ( | pkgCache::VerIterator const & | Ver | ) | const
| overridevirtual

Reimplemented from pkgIndexFile.

## ◆ CreateListParser()

pkgCacheListParser * CreateListParser | ( | FileFd & | Pkg | ) |
| protectedvirtual

Reimplemented from pkgDebianIndexFile.

## ◆ FindInCache()

pkgCache::PkgFileIterator FindInCache | ( | pkgCache & | Cache | ) | const
| virtual

Reimplemented from pkgDebianIndexFile.

## ◆ GetArchitecture()

std::string GetArchitecture | ( |  | ) | const
| protectedvirtual

Implements pkgDebianIndexFile.

## ◆ GetComponent()

std::string GetComponent | ( |  | ) | const
| protectedvirtual

Implements pkgDebianIndexFile.

## ◆ GetContent()

bool GetContent | ( | std::ostream & | content,
|  | std::string const & | debfile
| ) |  |
| static

get the control (file) content of the deb file

Parameters

  [out] | content | of the control file
  | debfile | is the filename of the .deb-file

Returns
  true if successful, otherwise false.

## ◆ GetIndexFlags()

uint8_t GetIndexFlags | ( |  | ) | const
| protectedvirtual

Implements pkgDebianIndexFile.

## ◆ GetType()

const pkgIndexFile::Type * GetType | ( |  | ) | const
| virtual

Implements pkgIndexFile.

## ◆ HasPackages()

virtual bool HasPackages | ( |  | ) | const
| inlinevirtual

Implements pkgIndexFile.

## ◆ OpenListFile()

bool OpenListFile | ( | FileFd & | Pkg,
|  | std::string const & | FileName
| ) |  |
| protectedvirtual

Reimplemented from pkgDebianIndexRealFile.

The documentation for this class was generated from the following files:

- apt-pkg/deb/debindexfile.h
- apt-pkg/deb/debindexfile.cc